﻿<div style="padding-right: 10px;">

    <div>
        <form ng-submit="prepareGrid()" class="no-margin">

            <div>
                <div class="half-persent place-left">
                    <div class="half-persent place-left" style="margin-bottom: 10px; margin-right: 10px">
                        <div data-format="mm/dd/yyyy" data-effect="fade">
                            <label>Registration start date</label>
                            <input kendo-date-picker ng-model="Model.Filters.RegistrationStart" type="text" placeholder="mm/dd/yyyy" />
                        </div>
                    </div>
                    <div class="half-persent place-left">
                        <div data-format="mm/dd/yyyy" data-effect="fade">
                            <label>Registration end date</label>
                            <input kendo-date-picker ng-model="Model.Filters.RegistrationEnd" type="text" placeholder="mm/dd/yyyy" />
                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>

                <div ng-if="MC.account.isPartner" class="place-left one-fourth padding-right20">
                    <label>Organization</label>
                    <div class="input-control select" data-role="input-control">
                        <select ng-change="updateChosenRadio()" ng-model="Model.ClubType" ng-options="obj.Value as obj.Title for obj in ClubTypes"></select>
                    </div>
                </div>

                <div ng-if="MC.account.isPartner" class="input-control radio">
                    <label>&nbsp;</label>
                    <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
                        <label class="block">
                            <input ng-model="Model.IsAllClubs" value="true" type="radio" ng-change="updateChosenScope()" />
                            <span class="check"></span>
                            <span ng-show="Model.ClubType == 'school'"> All schools </span>
                            <span ng-show="Model.ClubType == 'provider'"> All providers </span>
                            <span ng-show="Model.ClubType == 'district'"> All school districts </span>
                        </label>
                    </div>
                    <div class="input-control radio default-style place-left no-margin padding-left20" data-role="input-control">
                        <label class="block">
                            <input ng-model="Model.IsAllClubs" value="false" type="radio" ng-change="getClubs(Model.ClubType)" />
                            <span class="check"></span>
                            <span ng-show="Model.ClubType == 'school'"> Selected schools </span>
                            <span ng-show="Model.ClubType == 'provider'"> Selected providers </span>
                            <span ng-show="Model.ClubType == 'district'"> Selected school districts </span>
                        </label>
                    </div>
                </div>
                <div class="input-control choosen" data-role="input-control" ng-show="Model.IsAllClubs == 'false'">
                    <label>{{Model.ClubType == 'school' ? 'School' : Model.ClubType == 'provider' ? 'Provider' : 'School districts'}}</label>
                    <select chosen multiple
                            ng-model="Model._SelectedClubs"
                            data-placeholder="{{Model.ClubType == 'school' ? 'Select some schools' : Model.ClubType == 'provider' ? 'Select some providers' : 'Select some school districts'}}"
                            ng-options="obj.Value as obj.Text for obj in AllClubs"></select>
                </div>
            </div>
            <div class="clearfix"></div>


            <div>
                <div class="place-left one-fourth padding-right20">
                    <label for="filter.typeId">Season</label>
                    <div class="input-control select" data-role="input-control">
                        <select ng-model="Model.SeasonName" ng-options="obj.Value as obj.Text for obj in Model.AllSeason"></select>
                    </div>
                </div>
                <div class="place-left one-fourth padding-right20">
                    <label for="filter.typeId">Year</label>
                    <div class="input-control select" data-role="input-control">
                        <select ng-model="Model.Year" ng-options="obj.Value as obj.Text for obj in Years"></select>
                    </div>
                </div>
                <div class="one-fourth place-left padding-right20">
                    <label>Status</label>
                    <div class="input-control select" data-role="input-control">
                        <select ng-model="Model.Filters.Status" ng-options="temp.Value as temp.Text for temp in Model.Filters.OrderStatus"></select>
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>

            

            
            <button type="submit" class="primary large place-right button" style="margin-top: 25px">Run</button>
            <input class="button link place-right on-left-more"  style="margin-top: 33px; text-align: right" value="Clear filters" ng-click="clearFilters()">

            <div class="clearfix"></div>
        </form>
    </div>



</div>


